2 Replies Latest reply: Jan 5, 2013 3:25 AM by GaryGR
GaryGR Level 1 Level 1 (0 points)

I have iPod touch with iOS 4.2.1. And it won't accept certain apps- how do I get iOS 4.3+ installed


iPod touch, iOS 4.2